[Unit]
Description=Node Exporter (https://github.com/prometheus/node_exporter)
Wants=network-online.target
After=network-online.target

[Service]
User={{ node_exporter_user }}
Restart=always
RestartSec=10
TimeoutSec=300

ExecStart={{ node_exporter_exe | quote }} \
{% if node_exporter_web_basic_auth | length > 0 %}
    --web.config.file={{ node_exporter_config_file_web }} \
{% endif %}
    --web.disable-exporter-metrics \
    --collector.disable-defaults \
    --collector.cpu \
    --collector.filesystem \
    --collector.meminfo \
    --collector.vmstat \
    --collector.textfile \
    --collector.textfile.directory={{ node_exporter_textfile_dir | quote }} \
    {% if node_exporter_enable_systemd_collector %}--collector.systemd{% endif %} \
    {% if node_exporter_enable_ntp_collector %}--collector.ntp{% endif %} \
    --web.listen-address=:9100

ExecReload=/bin/kill -HUP $MAINPID

[Install]
WantedBy=default.target
